Bug 463031 - tkimg has broken deps in epel
Summary: tkimg has broken deps in epel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: tkimg
Version: el5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sergio Pascual
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-09-20 22:46 UTC by Kevin Fenzi
Modified: 2008-10-13 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-13 16:37:25 UTC


Attachments (Terms of Use)

Description Kevin Fenzi 2008-09-20 22:46:17 UTC
package: tkimg - 1.3-0.8.20080505svn.el5.i386 from epel-testing
  unresolved deps: 
     tcl(abi) = 0:8.4

The RHEL/CentOS package for tcl doesn't seem to provide this. 
Perhaps just make it a regular dependency?

Comment 1 Sergio Pascual 2008-09-21 13:34:55 UTC
I have fixed this in the specfile in epel cvs, but strangely I can't request a new build. I'm getting:

/usr/bin/plague-client build tkimg tkimg-1_3-0_9_20080505svn_el5 el5
Traceback (most recent call last):
  File "/usr/bin/plague-client", line 420, in <module>
    cli = PlagueClient(os.path.expanduser(cfg_file))
  File "/usr/bin/plague-client", line 81, in __init__
    self._email = self._get_user_email()
  File "/usr/bin/plague-client", line 138, in _get_user_email
    cert = OpenSSL.crypto.load_certificate(OpenSSL.crypto.FILETYPE_PEM, buf)
OpenSSL.crypto.Error: [('PEM routines', 'PEM_read_bio', 'bad end line')]
make: *** [plague] Error 1

I renewed my certificates after the "infamous intrusion" and I can connect with koji. Any idea why I can't connect with plague?

Comment 2 Kevin Fenzi 2008-09-21 16:47:17 UTC
It's a bug in plague with the new ssl certs. 

See: 

http://www.redhat.com/archives/epel-devel-list/2008-August/msg00049.html

basically you can manually apply that patch until the updated plague is 
released. Also, you might check updates-testing, it might have the new plague in it now.

Comment 4 Kevin Fenzi 2008-09-21 18:26:48 UTC
Excellent. Thanks for the quick fix.


Note You need to log in before you can comment on or make changes to this bug.